# $Revision: 1.11 $, $Date: 2005/08/04 07:59:14 $
Summary:	Tool that cracks 802.11 WEP encryption keys
Summary(pl):	Program do amania szyfrowania WEP dla protokou 802.11
Name:		aircrack
Version:	2.2
Release:	1
License:	GPL
Group:		Networking
Source0:	http://www.cr0.net:8040/code/network/%{name}-%{version}.tgz
# Source0-md5:	087832796644f02930181423c88989d9
URL:		http://www.cr0.net:8040/code/network/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aircrack is a 802.11 WEP key cracker. It implements the so-called
Fluhrer - Mantin - Shamir (FMS) attack, When enough encrypted packets
have been gathered, aircrack can almost instantly recover the WEP key.

%description -l pl
Aircrack to program do amania szyfrowania WEP dla protokou 802.11
uywajcy ataku typu FMS (Fluhrer - Mantin - Shamir). Po zgromadzeniu
wystarczajcej liczby zaszyfrowanych pakietw aircrack moe prawie
natychmiast odtworzy klucz WEP.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-s %{rpmcflags}"


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt linux/patch
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aircrack.spec,v $
Revision 1.11  2005/08/04 07:59:14  adamg
- updated to 2.2

Revision 1.10  2005/07/25 13:24:53  grzegorz
- up to b10, more info in ChangeLog

Revision 1.9  2005/07/19 10:16:29  grzegorz
- up to 2.2beta7
- remove obsoletes patches
- added cc

Revision 1.8  2005/05/11 15:47:18  grzegorz
- rel 4, STBR

Revision 1.7  2005/05/11 15:43:37  ankry
- tab

Revision 1.6  2005/05/11 15:36:29  grzegorz
- added cflags
- amd64 patch from gentoo
- new speed'up patch
- adaptarized

Revision 1.5  2005/04/28 09:06:12  grzegorz
- added speed patch with quiet mode
- rel 3

Revision 1.4  2005/04/22 07:03:41  grzegorz
- aireplay-2.2 beta and patches

Revision 1.3  2004/12/26 13:11:48  qboosh
- finished pl desc

Revision 1.2  2004/12/26 01:45:15  zbyniu
- prefix, %files, cosmetics

Revision 1.1  2004/12/25 18:33:00  speedo
- initial release
